#
# spec file for package wwwoffle (Version 2.6d)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  htdig
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip htdig kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         wwwoffle
Copyright:    GPL
Group:        Networking/Daemons
Provides:     wwwoffle 
Autoreqprov:  on
Summary:      World Wide Web Offline Proxy
URL:          http://www.gedanken.demon.co.uk/wwwoffle/
Version:      2.6d
Release:      66
Source0:      ftp://ftp.demon.co.uk/pub/unix/httpd/wwwoffle-%{version}.tar.bz2
Source1:      rc.wwwoffle
Source2:      rc.config.wwwoffle
Source3:      ip-up.local
Source4:      wwwoffle.cron
Patch:	      wwwoffle-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-root

%description
A proxy HTTP server for computers with dial-up internet access.
- Caching of pages viewed while connected for review later.
- Browsing of cached pages while not connected, with the ability
to follow links and mark other pages for download.
- Downloading of specified pages non-interactively.
- Multiple indices of pages stored in cache for easy selection.
- Interactive or command line option to select pages for fetching
individually or recursively.
- All options controlled using a simple configuration file with a
web page to edit it.

Authors:
--------
    Andreas Dietrich <quasi@baccus.franken.de>
    Andrew M. Bishop <amb@gedanken.demon.co.uk>
    Axel Rasmus Wienberg <2wienbe@informatik.uni-hamburg.de>
    Tilman Bohn <tb@bohn.isdn.uni-heidelberg.de>
    Ullrich von Bassewitz <uz@wuschel.ibb.schwaben.com>
    Walter Pfannenmller <Walter.Pfannenmueller@t-online.de>
    Yannick Versley <sa6z225@public.uni-hamburg.de>

SuSE series: n

%prep
%setup
%patch

%build
export CFLAGS=$RPM_OPT_FLAGS 
make all INSTDIR=/usr \
     SPOOLDIR=/var/spool/wwwoffle \
     CONFDIR=%{_sysconfdir}/wwwoffle \
     MANDIR=%{_mandir}

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -m 755 %{SOURCE3} $RPM_BUILD_DIR
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.{daily,weekly}
make install \
	INSTDIR=$RPM_BUILD_ROOT/usr \
	SPOOLDIR=$RPM_BUILD_ROOT/var/spool/wwwoffle \
	CONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/wwwoffle \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}
# Remove BuildRoot from path names after installation
perl -pi -e 's|'$RPM_BUILD_ROOT'||g' \
	$RPM_BUILD_ROOT%{_sysconfdir}/wwwoffle/wwwoffle.conf \
	$RPM_BUILD_ROOT%{_mandir}/man5/wwwoffle.conf.5 \
	$RPM_BUILD_ROOT/var/spool/wwwoffle/html/search/htdig/conf/*.conf \
	$RPM_BUILD_ROOT/var/spool/wwwoffle/html/search/htdig/scripts/*
# Fix location to config files in manpage
cd $RPM_BUILD_ROOT%{_mandir}/man8/
cat wwwoffled.8 | sed "s@/var/spool/wwwoffle/wwwoffle.conf@/etc/wwwoffle/wwwoffle.conf@g" > wwwoffled.8
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/wwwoffle
ln -fs ../../etc/init.d/wwwoffle $RPM_BUILD_ROOT/usr/sbin/rcwwwoffle
install -d -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.wwwoffle
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_sysconfdir}/cron.weekly/%{name}

%post 
sbin/insserv etc/init.d/wwwoffle
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.wwwoffle
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "/etc/rc.config and /var/adm/fillup-templates/rc.config.wwwoffle"
  echo "and update by hand."
fi

%postun
sbin/insserv etc/init.d/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%config %attr(-, wwwrun, root) /etc/wwwoffle/wwwoffle.conf
%config /etc/init.d/wwwoffle
%config(missingok,noreplace) %attr(755,root,root) %{_sysconfdir}/cron.weekly/%{name}
%defattr(-, root, root)
%dir %attr(-, wwwrun, root) /etc/wwwoffle
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle/html
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle/http
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle/lasttime
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle/monitor
%dir %attr(-, wwwrun, root) /var/spool/wwwoffle/outgoing
%doc %attr(-, wwwrun, root) /var/spool/wwwoffle/html/*
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man8/*
%doc ANNOUNCE CHANGES.CONF CONVERT COPYING ChangeLog ChangeLog-1
%doc FAQ FILES INSTALL LSM NEWS README* contrib ../ip-up.local
%doc upgrade-config*
%doc lang-*
/usr/bin/*
/usr/sbin/*
/var/adm/fillup-templates/rc.config.wwwoffle

%changelog -n wwwoffle
* Wed Sep 19 2001 - grimmer@suse.de
- Use "startproc -q" in rc.wwwoffle to suppress misleading
  warning messages ("Failed to bind IPv4 server socket [Address
  already in use]") [#10791]
- removed "chown -R wwwrun.root" in install section to enable
  non-root users to build the package as well (file ownerships
  are being properly set in the file list anyway)
* Thu Jul 26 2001 - grimmer@suse.de
- Update to 2.6d: bugfixes and new features (e.g. IPv6 support)
- enabled IPv6 support and added required patch to sockets6.c
* Mon Jul 23 2001 - grimmer@suse.de
- Update to 2.6c
* Mon Apr 23 2001 - grimmer@suse.de
- Updated init file according to new skeleton
* Wed Apr 04 2001 - grimmer@suse.de
- update to 2.6b
- removed Makefile patches (obsolete)
- added cron script as a separate source file
* Sun Feb 11 2001 - grimmer@suse.de
- update to 2.6a
- added sample ip-up.local file to documentation directory (#6254)
- added upgrade-config scripts to file list
* Tue Jan 16 2001 - grimmer@suse.de
- removed "noreplace" from config file /etc/wwwoffle/wwwoffle.conf
  since wwwoffle segfaults with an old config file after an
  update (#4940)
* Mon Dec 18 2000 - grimmer@suse.de
- fixed path to ht://dig binaries
* Wed Dec 06 2000 - grimmer@suse.de
- removed dependency on htdig and removed daily cron job
- fixed some typos in init script and spec file
- made weekly cron job more robust
- updated wwwoffle.test
* Thu Nov 30 2000 - grimmer@suse.de
- Update to 2.6
- created new init script and moved it to /etc/init.d
- added BuildRoot
- use some more RPM macros
- added some more files and cron jobs
* Mon Jun 19 2000 - grimmer@suse.de
- Update to 2.5e
* Thu Mar 30 2000 - grimmer@suse.de
- fixed init script (reload is a real reload now) (#2650)
* Thu Feb 24 2000 - grimmer@suse.de
- added Group tag
* Mon Feb 21 2000 - grimmer@suse.de
- Update to 2.5d
- removed obsolete patch for errors.c
- moved man pages to /usr/share/man
* Tue Jan 25 2000 - uli@suse.de
- errors.c: fixed misuse of va_arg macro
* Sat Oct 02 1999 - grimmer@suse.de
- Update to 2.5
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 05 1999 - grimmer@suse.de
- Update to 2.4e
- added docu in multiple languages to $DOCDIR
* Mon May 31 1999 - grimmer@suse.de
- update to version 2.4d
* Tue Apr 13 1999 - grimmer@suse.de
- update to version 2.4b
- specfile updates
- updated rc-script
* Thu Mar 25 1999 - ro@suse.de
- fixed rc-script
* Tue Dec 08 1998 - ro@suse.de
- fixed typo in rc-script
* Thu Nov 05 1998 - grimmer@suse.de
- update to version 2.3e
- implemented new init script
- fixed script bug (shutdown with password)
* Mon Jul 20 1998 - grimmer@suse.de
- changed CONFDIR again to /etc/wwwoffle/
- minor fix in init script rc.wwwoffle
* Sun Jul 19 1998 - grimmer@suse.de
- update to version 2.2c
- changed CONFDIR back to /var/spool/
* Fri Jul 03 1998 - bs@suse.de
- changed gid of /var/spool/wwwoffle from nogroup to root.
* Wed Jul 01 1998 - grimmer@suse.de
- update to version 2.2
- updated init-script (reload, status)
- updated specfile (spoolfile,tools)
- changed CONFDIR to /etc
* Fri Apr 03 1998 - bs@suse.de
- changed gid from nogroup to wwwadmin
* Tue Feb 17 1998 - ro@suse.de
- update to version 2.0 (bb@suse.de)
* Fri Nov 14 1997 - ro@suse.de
- fixed specfile (installation of docfiles)
* Mon Nov 03 1997 - bb@suse.de
  new package!
